> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create manual transaction

>  

This endpoint can only be used to create manual transactions that are under a manual account. This endpoint accepts the optional MX-Skip-Webhook header and skip\_webhook parameter.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml POST /users/{user_guid}/accounts/{account_guid}/transactions
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/accounts/{account_guid}/transactions:
    post:
      tags:
        - transactions
      summary: Create manual transaction
      description: >-
        This endpoint can only be used to create manual transactions that are
        under a manual account. This endpoint accepts the optional
        MX-Skip-Webhook header and skip_webhook parameter.
      operationId: createManualTransaction
      parameters:
        - $ref: '#/components/parameters/userGuid'
        - $ref: '#/components/parameters/accountGuid'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionCreateRequestBody'
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/TransactionCreateResponseBody'
components:
  parameters:
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
    accountGuid:
      description: The unique id for an `account`.
      example: ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1
      in: path
      name: account_guid
      required: true
      schema:
        type: string
  schemas:
    TransactionCreateRequestBody:
      properties:
        transaction:
          $ref: '#/components/schemas/TransactionCreateRequest'
      type: object
    TransactionCreateResponseBody:
      properties:
        account_guid:
          example: ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1
          nullable: true
          type: string
        account_id:
          example: account123
          nullable: true
          type: string
        amount:
          example: 61.11
          nullable: false
          type: number
        category:
          example: Groceries
          nullable: true
          type: string
        category_guid:
          example: CAT-b6d61a19-30a7-e852-2703-bdfb4072289e
          nullable: true
          type: string
        check_number_string:
          example: null
          nullable: true
          type: string
        created_at:
          example: '2016-10-08T09:43:42.000Z'
          nullable: true
          type: string
        currency_code:
          example: USD
          nullable: true
          type: string
        date:
          example: '2016-10-06T00:00:00.000Z'
          nullable: true
          type: string
        description:
          example: Whole foods
          nullable: true
          type: string
        extended_transaction_type:
          example: null
          nullable: true
          type: string
        guid:
          example: TRN-265abee9-889b-af6a-c69b-25157db2bdd9
          nullable: true
          type: string
        id:
          example: null
          nullable: true
          type: string
        is_bill_pay:
          example: false
          nullable: true
          type: boolean
        is_direct_deposit:
          example: false
          nullable: true
          type: boolean
        is_expense:
          example: true
          nullable: true
          type: boolean
        is_fee:
          example: false
          nullable: true
          type: boolean
        is_income:
          example: false
          nullable: true
          type: boolean
        is_international:
          example: false
          nullable: true
          type: boolean
        is_manual:
          example: true
          nullable: true
          type: boolean
        is_overdraft_fee:
          example: false
          nullable: true
          type: boolean
        is_payroll_advance:
          example: false
          nullable: true
          type: boolean
        is_recurring:
          example: null
          nullable: true
          type: boolean
        is_subscription:
          example: false
          nullable: true
          type: boolean
        latitude:
          example: null
          nullable: true
          type: number
        localized_description:
          example: null
          nullable: true
          type: string
        localized_memo:
          example: null
          nullable: true
          type: string
        longitude:
          example: null
          nullable: true
          type: number
        member_guid:
          example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          nullable: true
          type: string
        member_is_managed_by_user:
          example: true
          nullable: true
          type: boolean
        memo:
          example: This is a memo
          nullable: true
          type: string
        merchant_category_code:
          example: null
          nullable: true
          type: integer
        merchant_guid:
          example: null
          nullable: true
          type: string
        merchant_location_guid:
          example: null
          nullable: true
          type: string
        metadata:
          example: some metadata
          nullable: true
          type: string
        original_description:
          example: null
          nullable: true
          type: string
        posted_at:
          example: null
          nullable: true
          type: string
        status:
          example: null
          nullable: true
          type: string
        top_level_category:
          example: Food & Dining
          nullable: true
          type: string
        transacted_at:
          example: null
          nullable: true
          type: string
        type:
          example: DEBIT
          nullable: false
          type: string
        updated_at:
          example: '2016-10-08T05:49:12.000Z'
          nullable: false
          type: string
        user_guid:
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
        user_id:
          example: user123
          nullable: true
          type: string
      type: object
    TransactionCreateRequest:
      properties:
        amount:
          example: 61.11
          type: number
        date:
          example: '2016-10-06'
          type: string
        description:
          example: Whole foods
          type: string
        type:
          description: >-
            The type of transaction, which must be CREDIT or DEBIT. See
            Transaction Fields for more information.
          example: DEBIT
          type: string
        category_guid:
          description: Unique identifier of the category.
          example: CAT-b6d61a19-30a7-e852-2703-bdfb4072289e
          type: string
        currency_code:
          example: USD
          type: string
        has_been_viewed:
          example: false
          type: boolean
        is_hidden:
          example: false
          type: boolean
        is_international:
          example: false
          type: boolean
        memo:
          example: This is a memo
          type: string
        metadata:
          example: some metadata
          type: string
        skip_webhook:
          description: >-
            When set to true, this parameter will prevent a webhook from being
            triggered by the request.
          example: true
          type: boolean
      required:
        - amount
        - date
        - description
        - type
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````